#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 scotty
version:              0.20.1
visibility:           public
id:                   scotty-0.20.1-DEtJuP5s8nN2h7RL05x4YP
key:                  scotty-0.20.1-DEtJuP5s8nN2h7RL05x4YP
license:              BSD-3-Clause
copyright:            (c) 2012-Present, Andrew Farmer and the Scotty contributors
maintainer:           The Scotty maintainers
author:               Andrew Farmer <xichekolas@gmail.com>
stability:            experimental
homepage:             https://github.com/scotty-web/scotty
synopsis:
    Haskell web framework inspired by Ruby'\''s Sinatra, using WAI and Warp

description:
    A Haskell web framework inspired by Ruby'\''s Sinatra, using WAI and Warp.

    @
    &#123;-&#35; LANGUAGE OverloadedStrings &#35;-&#125;

    import Web.Scotty

    main = scotty 3000 $
    &#32;&#32;get &#34;/:word&#34; $ do
    &#32;&#32;&#32;&#32;beam <- captureParam &#34;word&#34;
    &#32;&#32;&#32;&#32;html $ mconcat [&#34;&#60;h1&#62;Scotty, &#34;, beam, &#34; me up!&#60;/h1&#62;&#34;]
    @


    Scotty is the cheap and cheerful way to write RESTful, declarative web applications.

    * A page is as simple as defining the verb, url pattern, and Text content.

    * It is template-language agnostic. Anything that returns a Text value will do.

    * Conforms to WAI Application interface.

    * Uses very fast Warp webserver by default.

    As for the name: Sinatra + Warp = Scotty.

    [WAI] <http://hackage.haskell.org/package/wai>

    [Warp] <http://hackage.haskell.org/package/warp>

category:             Web
abi:                  def9168a629df22c6a3ddec656e3b63f
exposed:              True
exposed-modules:
    Web.Scotty Web.Scotty.Cookie Web.Scotty.Internal.Types
    Web.Scotty.Trans

hidden-modules:
    Web.Scotty.Action Web.Scotty.Body Web.Scotty.Exceptions
    Web.Scotty.Route Web.Scotty.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/scotty-0.20.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/scotty-0.20.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-scotty
hs-libraries:         HSscotty-0.20.1-DEtJuP5s8nN2h7RL05x4YP
depends:
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA base-4.15.1.0
    blaze-builder-0.4.2.3-D7RNQqfFzoeIMP5JYaknz9 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-KKXIEQ4fQgwEbrnlXSjc1G
    cookie-0.4.6-AQamA5QJzxUGLdn7cmcakq
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO exceptions-0.10.4
    http-types-0.12.3-KnxntuJyLp840IwYW1JdT6
    monad-control-1.0.3.1-LVxw4k1QhiyFDGX7dGAT8u mtl-2.2.2
    network-3.1.4.0-9BhTQWlTEgzEJF9ToXEkqb
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix stm-2.5.0.0
    text-1.2.5.0 time-1.9.3 transformers-0.5.6.2
    transformers-base-0.4.6-3y3JsQUyG3cDSsfuYOtwey
    transformers-compat-0.7.2-ZzSHjvD4flB2ChCq5TVbH
    unliftio-0.2.25.0-3ouLkMeW8SPDe6GJ1QgXzD
    wai-3.2.3-2LxWXh9bm1zDZZVOzBwQ46
    wai-extra-3.1.13.0-CDdbMCDsa5SHdnpq1Yo5iy
    warp-3.3.30-hi0Ul7xPFi1eW5e1Dax42

haddock-interfaces:   /usr/share/doc/haskell-scotty/html/scotty.haddock
haddock-html:         /usr/share/doc/haskell-scotty/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

